Index: lemon/bits/bezier.h
===================================================================
--- lemon/bits/bezier.h	(revision 1270)
+++ lemon/bits/bezier.h	(revision 1157)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/default_map.h
===================================================================
--- lemon/bits/default_map.h	(revision 1270)
+++ lemon/bits/default_map.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/edge_set_extender.h
===================================================================
--- lemon/bits/edge_set_extender.h	(revision 1270)
+++ lemon/bits/edge_set_extender.h	(revision 1161)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/graph_adaptor_extender.h
===================================================================
--- lemon/bits/graph_adaptor_extender.h	(revision 1270)
+++ lemon/bits/graph_adaptor_extender.h	(revision 965)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/graph_extender.h
===================================================================
--- lemon/bits/graph_extender.h	(revision 1270)
+++ lemon/bits/graph_extender.h	(revision 1195)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -844,5 +844,5 @@
 
     typedef AlterationNotifier<BpGraphExtender, Node> NodeNotifier;
-    typedef AlterationNotifier<BpGraphExtender, RedNode> RedNodeNotifier;
+    typedef AlterationNotifier<BpGraphExtender, RedNode> RedNodeNotifier; 
     typedef AlterationNotifier<BpGraphExtender, BlueNode> BlueNodeNotifier;
     typedef AlterationNotifier<BpGraphExtender, Arc> ArcNotifier;
Index: lemon/bits/lock.h
===================================================================
--- lemon/bits/lock.h	(revision 1270)
+++ lemon/bits/lock.h	(revision 1131)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2012
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -34,14 +34,14 @@
     public:
       Lock() {
-        pthread_mutex_init(&_lock, 0);
+	pthread_mutex_init(&_lock, 0);
       }
       ~Lock() {
-        pthread_mutex_destroy(&_lock);
+	pthread_mutex_destroy(&_lock);
       }
       void lock() {
-        pthread_mutex_lock(&_lock);
+	pthread_mutex_lock(&_lock);
       }
       void unlock() {
-        pthread_mutex_unlock(&_lock);
+	pthread_mutex_unlock(&_lock);
       }
 
@@ -58,5 +58,5 @@
       void lock() {}
       void unlock() {}
-    };
+    };    
 #endif
   }
Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 1270)
+++ lemon/bits/map_extender.h	(revision 867)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/path_dump.h
===================================================================
--- lemon/bits/path_dump.h	(revision 1270)
+++ lemon/bits/path_dump.h	(revision 973)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/solver_bits.h
===================================================================
--- lemon/bits/solver_bits.h	(revision 1270)
+++ lemon/bits/solver_bits.h	(revision 1142)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/traits.h
===================================================================
--- lemon/bits/traits.h	(revision 1270)
+++ lemon/bits/traits.h	(revision 1194)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/bits/windows.cc
===================================================================
--- lemon/bits/windows.cc	(revision 1270)
+++ lemon/bits/windows.cc	(revision 1163)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -141,5 +141,5 @@
 #endif
     }
-
+    
     WinLock::~WinLock() {
 #ifdef WIN32
Index: lemon/bits/windows.h
===================================================================
--- lemon/bits/windows.h	(revision 1270)
+++ lemon/bits/windows.h	(revision 1131)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/capacity_scaling.h
===================================================================
--- lemon/capacity_scaling.h	(revision 1270)
+++ lemon/capacity_scaling.h	(revision 1296)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -67,9 +67,7 @@
   /// \ref CapacityScaling implements the capacity scaling version
   /// of the successive shortest path algorithm for finding a
-  /// \ref min_cost_flow "minimum cost flow" \cite amo93networkflows,
-  /// \cite edmondskarp72theoretical. It is an efficient dual
-  /// solution method, which runs in polynomial time
-  /// \f$O(m\log U (n+m)\log n)\f$, where <i>U</i> denotes the maximum
-  /// of node supply and arc capacity values.
+  /// \ref min_cost_flow "minimum cost flow" \ref amo93networkflows,
+  /// \ref edmondskarp72theoretical. It is an efficient dual
+  /// solution method.
   ///
   /// This algorithm is typically slower than \ref CostScaling and
@@ -119,6 +117,5 @@
     typedef typename TR::Heap Heap;
 
-    /// \brief The \ref lemon::CapacityScalingDefaultTraits "traits class"
-    /// of the algorithm
+    /// The \ref CapacityScalingDefaultTraits "traits class" of the algorithm
     typedef TR Traits;
 
@@ -360,5 +357,4 @@
       for (ArcIt a(_graph); a != INVALID; ++a) {
         _lower[_arc_idf[a]] = map[a];
-        _lower[_arc_idb[a]] = map[a];
       }
       return *this;
@@ -647,5 +643,5 @@
     ///
     /// This function returns the total cost of the found flow.
-    /// Its complexity is O(m).
+    /// Its complexity is O(e).
     ///
     /// \note The return type of the function can be specified as a
@@ -839,10 +835,10 @@
       return OPTIMAL;
     }
-
-    // Check if the upper bound is greater or equal to the lower bound
-    // on each arc.
+    
+    // Check if the upper bound is greater than or equal to the lower bound
+    // on each forward arc.
     bool checkBoundMaps() {
       for (int j = 0; j != _res_arc_num; ++j) {
-        if (_upper[j] < _lower[j]) return false;
+        if (_forward[j] && _upper[j] < _lower[j]) return false;
       }
       return true;
@@ -861,5 +857,5 @@
         int limit = _first_out[_root];
         for (int j = 0; j != limit; ++j) {
-          if (!_forward[j]) _res_cap[j] += _lower[j];
+          if (_forward[j]) _res_cap[_reverse[j]] += _lower[j];
         }
       }
Index: lemon/cbc.cc
===================================================================
--- lemon/cbc.cc	(revision 1270)
+++ lemon/cbc.cc	(revision 1161)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/cbc.h
===================================================================
--- lemon/cbc.h	(revision 1270)
+++ lemon/cbc.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -17,4 +17,5 @@
  */
 
+// -*- C++ -*-
 #ifndef LEMON_CBC_H
 #define LEMON_CBC_H
Index: lemon/christofides_tsp.h
===================================================================
--- lemon/christofides_tsp.h	(revision 1270)
+++ lemon/christofides_tsp.h	(revision 1205)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -31,5 +31,5 @@
 
 namespace lemon {
-
+  
   /// \ingroup tsp
   ///
@@ -109,9 +109,9 @@
           return _sum = 2 * _cost[_gr.edge(_gr(0), _gr(1))];
         }
-
+        
         // Compute min. cost spanning tree
         std::vector<Edge> tree;
         kruskal(_gr, _cost, std::back_inserter(tree));
-
+        
         FullGraph::NodeMap<int> deg(_gr, 0);
         for (int i = 0; i != int(tree.size()); ++i) {
@@ -126,5 +126,5 @@
           if (deg[u] % 2 == 1) odd_nodes.push_back(u);
         }
-
+  
         SmartGraph sgr;
         SmartGraph::EdgeMap<Cost> scost(sgr);
@@ -140,10 +140,10 @@
           }
         }
-
+        
         // Compute min. cost perfect matching
         MaxWeightedPerfectMatching<SmartGraph, SmartGraph::EdgeMap<Cost> >
           mwpm(sgr, scost);
         mwpm.run();
-
+        
         for (SmartGraph::EdgeIt e(sgr); e != INVALID; ++e) {
           if (mwpm.matching(e)) {
@@ -152,6 +152,6 @@
           }
         }
-
-        // Join the spanning tree and the matching
+        
+        // Join the spanning tree and the matching        
         sgr.clear();
         for (int i = 0; i != _gr.nodeNum(); ++i) {
@@ -183,8 +183,8 @@
 
       /// @}
-
+      
       /// \name Query Functions
       /// @{
-
+      
       /// \brief The total cost of the found tour.
       ///
@@ -195,5 +195,5 @@
         return _sum;
       }
-
+      
       /// \brief Returns a const reference to the node sequence of the
       /// found tour.
@@ -228,9 +228,9 @@
         std::copy(_path.begin(), _path.end(), out);
       }
-
+      
       /// \brief Gives back the found tour as a path.
       ///
       /// This function copies the found tour as a list of arcs/edges into
-      /// the given \ref lemon::concepts::Path "path structure".
+      /// the given \ref concept::Path "path structure".
       ///
       /// \pre run() must be called before using this function.
@@ -245,7 +245,7 @@
         }
       }
-
+      
       /// @}
-
+      
   };
 
Index: lemon/circulation.h
===================================================================
--- lemon/circulation.h	(revision 1270)
+++ lemon/circulation.h	(revision 1159)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -196,6 +196,5 @@
   public:
 
-    /// \brief The \ref lemon::CirculationDefaultTraits "traits class"
-    /// of the algorithm.
+    ///The \ref CirculationDefaultTraits "traits class" of the algorithm.
     typedef TR Traits;
     ///The type of the digraph the algorithm runs on.
Index: lemon/clp.cc
===================================================================
--- lemon/clp.cc	(revision 1270)
+++ lemon/clp.cc	(revision 1142)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/clp.h
===================================================================
--- lemon/clp.h	(revision 1270)
+++ lemon/clp.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
Index: lemon/concept_check.h
===================================================================
--- lemon/concept_check.h	(revision 1270)
+++ lemon/concept_check.h	(revision 1157)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -59,5 +59,5 @@
 #if !defined(NDEBUG)
     void (Concept::*x)() = & Concept::constraints;
-    ::lemon::ignore_unused_variable_warning(x);
+    ignore_unused_variable_warning(x);
 #endif
   }
@@ -69,5 +69,5 @@
     typedef typename Concept::template Constraints<Type> ConceptCheck;
     void (ConceptCheck::*x)() = & ConceptCheck::constraints;
-    ::lemon::ignore_unused_variable_warning(x);
+    ignore_unused_variable_warning(x);
 #endif
   }
Index: lemon/concepts/bpgraph.h
===================================================================
--- lemon/concepts/bpgraph.h	(revision 1270)
+++ lemon/concepts/bpgraph.h	(revision 1196)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -524,8 +524,5 @@
         /// Sets the iterator to the first arc of the given graph.
         ///
-        explicit ArcIt(const BpGraph &g)
-        {
-          ::lemon::ignore_unused_variable_warning(g);
-        }
+        explicit ArcIt(const BpGraph &g) { ignore_unused_variable_warning(g); }
         /// Sets the iterator to the given arc.
 
@@ -573,6 +570,6 @@
         ///
         OutArcIt(const BpGraph& n, const Node& g) {
-          ::lemon::ignore_unused_variable_warning(n);
-          ::lemon::ignore_unused_variable_warning(g);
+          ignore_unused_variable_warning(n);
+          ignore_unused_variable_warning(g);
         }
         /// Sets the iterator to the given arc.
@@ -621,6 +618,6 @@
         ///
         InArcIt(const BpGraph& g, const Node& n) {
-          ::lemon::ignore_unused_variable_warning(n);
-          ::lemon::ignore_unused_variable_warning(g);
+          ignore_unused_variable_warning(n);
+          ignore_unused_variable_warning(g);
         }
         /// Sets the iterator to the given arc.
@@ -805,10 +802,10 @@
 
       /// \brief Gives back the red end node of the edge.
-      ///
+      /// 
       /// Gives back the red end node of the edge.
       RedNode redNode(const Edge&) const { return RedNode(); }
 
       /// \brief Gives back the blue end node of the edge.
-      ///
+      /// 
       /// Gives back the blue end node of the edge.
       BlueNode blueNode(const Edge&) const { return BlueNode(); }
@@ -1001,5 +998,5 @@
       /// \brief The base node of the iterator.
       ///
-      /// Returns the base node of the given incoming arc iterator
+      /// Returns the base node of the given incomming arc iterator
       /// (i.e. the target node of the corresponding arc).
       Node baseNode(InArcIt) const { return INVALID; }
@@ -1007,5 +1004,5 @@
       /// \brief The running node of the iterator.
       ///
-      /// Returns the running node of the given incoming arc iterator
+      /// Returns the running node of the given incomming arc iterator
       /// (i.e. the source node of the corresponding arc).
       Node runningNode(InArcIt) const { return INVALID; }
Index: lemon/concepts/digraph.h
===================================================================
--- lemon/concepts/digraph.h	(revision 1271)
+++ lemon/concepts/digraph.h	(revision 956)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -313,7 +313,5 @@
         /// Sets the iterator to the first arc of the given digraph.
         ///
-        explicit ArcIt(const Digraph& g) {
-          ::lemon::ignore_unused_variable_warning(g);
-        }
+        explicit ArcIt(const Digraph& g) { ignore_unused_variable_warning(g); }
         /// Sets the iterator to the given arc.
 
@@ -412,5 +410,5 @@
       /// \brief The base node of the iterator.
       ///
-      /// Returns the base node of the given incoming arc iterator
+      /// Returns the base node of the given incomming arc iterator
       /// (i.e. the target node of the corresponding arc).
       Node baseNode(InArcIt) const { return INVALID; }
@@ -418,5 +416,5 @@
       /// \brief The running node of the iterator.
       ///
-      /// Returns the running node of the given incoming arc iterator
+      /// Returns the running node of the given incomming arc iterator
       /// (i.e. the source node of the corresponding arc).
       Node runningNode(InArcIt) const { return INVALID; }
Index: lemon/concepts/graph.h
===================================================================
--- lemon/concepts/graph.h	(revision 1271)
+++ lemon/concepts/graph.h	(revision 1186)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -397,7 +397,5 @@
         /// Sets the iterator to the first arc of the given graph.
         ///
-        explicit ArcIt(const Graph &g) {
-          ::lemon::ignore_unused_variable_warning(g);
-        }
+        explicit ArcIt(const Graph &g) { ignore_unused_variable_warning(g); }
         /// Sets the iterator to the given arc.
 
@@ -445,6 +443,6 @@
         ///
         OutArcIt(const Graph& n, const Node& g) {
-          ::lemon::ignore_unused_variable_warning(n);
-          ::lemon::ignore_unused_variable_warning(g);
+          ignore_unused_variable_warning(n);
+          ignore_unused_variable_warning(g);
         }
         /// Sets the iterator to the given arc.
@@ -493,6 +491,6 @@
         ///
         InArcIt(const Graph& g, const Node& n) {
-          ::lemon::ignore_unused_variable_warning(n);
-          ::lemon::ignore_unused_variable_warning(g);
+          ignore_unused_variable_warning(n);
+          ignore_unused_variable_warning(g);
         }
         /// Sets the iterator to the given arc.
@@ -760,5 +758,5 @@
       /// \brief The base node of the iterator.
       ///
-      /// Returns the base node of the given incoming arc iterator
+      /// Returns the base node of the given incomming arc iterator
       /// (i.e. the target node of the corresponding arc).
       Node baseNode(InArcIt) const { return INVALID; }
@@ -766,5 +764,5 @@
       /// \brief The running node of the iterator.
       ///
-      /// Returns the running node of the given incoming arc iterator
+      /// Returns the running node of the given incomming arc iterator
       /// (i.e. the source node of the corresponding arc).
       Node runningNode(InArcIt) const { return INVALID; }
Index: lemon/concepts/graph_components.h
===================================================================
--- lemon/concepts/graph_components.h	(revision 1270)
+++ lemon/concepts/graph_components.h	(revision 1196)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -109,5 +109,5 @@
 
           bool b;
-          ::lemon::ignore_unused_variable_warning(b);
+          ignore_unused_variable_warning(b);
 
           b = (ia == ib) && (ia != ib);
@@ -290,5 +290,5 @@
             ue = e;
             bool d = graph.direction(e);
-            ::lemon::ignore_unused_variable_warning(d);
+            ignore_unused_variable_warning(d);
           }
         }
@@ -392,10 +392,10 @@
 
       /// \brief Gives back the red end node of the edge.
-      ///
+      /// 
       /// Gives back the red end node of the edge.
       RedNode redNode(const Edge&) const { return RedNode(); }
 
       /// \brief Gives back the blue end node of the edge.
-      ///
+      /// 
       /// Gives back the blue end node of the edge.
       BlueNode blueNode(const Edge&) const { return BlueNode(); }
@@ -457,5 +457,5 @@
             rn = bpgraph.asRedNode(rnan);
             bn = bpgraph.asBlueNode(bnan);
-            ::lemon::ignore_unused_variable_warning(b);
+            ignore_unused_variable_warning(b);
           }
         }
@@ -535,7 +535,7 @@
 
           nid = digraph.maxNodeId();
-          ::lemon::ignore_unused_variable_warning(nid);
+          ignore_unused_variable_warning(nid);
           eid = digraph.maxArcId();
-          ::lemon::ignore_unused_variable_warning(eid);
+          ignore_unused_variable_warning(eid);
         }
 
@@ -590,5 +590,5 @@
           edge = graph.edgeFromId(ueid);
           ueid = graph.maxEdgeId();
-          ::lemon::ignore_unused_variable_warning(ueid);
+          ignore_unused_variable_warning(ueid);
         }
 
@@ -654,6 +654,6 @@
           rid = bpgraph.maxRedId();
           bid = bpgraph.maxBlueId();
-          ::lemon::ignore_unused_variable_warning(rid);
-          ::lemon::ignore_unused_variable_warning(bid);
+          ignore_unused_variable_warning(rid);
+          ignore_unused_variable_warning(bid);
         }
 
@@ -727,6 +727,6 @@
           _GraphItemIt it3 = it1;
           _GraphItemIt it4 = INVALID;
-          ::lemon::ignore_unused_variable_warning(it3);
-          ::lemon::ignore_unused_variable_warning(it4);
+          ignore_unused_variable_warning(it3);
+          ignore_unused_variable_warning(it4);
 
           it2 = ++it1;
@@ -818,6 +818,6 @@
           _GraphIncIt it3 = it1;
           _GraphIncIt it4 = INVALID;
-          ::lemon::ignore_unused_variable_warning(it3);
-          ::lemon::ignore_unused_variable_warning(it4);
+          ignore_unused_variable_warning(it3);
+          ignore_unused_variable_warning(it4);
 
           it2 = ++it1;
@@ -876,13 +876,13 @@
       void next(Arc&) const {}
 
-      /// \brief Return the first arc incoming to the given node.
-      ///
-      /// This function gives back the first arc incoming to the
+      /// \brief Return the first arc incomming to the given node.
+      ///
+      /// This function gives back the first arc incomming to the
       /// given node.
       void firstIn(Arc&, const Node&) const {}
 
-      /// \brief Return the next arc incoming to the given node.
-      ///
-      /// This function gives back the next arc incoming to the
+      /// \brief Return the next arc incomming to the given node.
+      ///
+      /// This function gives back the next arc incomming to the
       /// given node.
       void nextIn(Arc&) const {}
@@ -1001,5 +1001,5 @@
             n = digraph.baseNode(oait);
             n = digraph.runningNode(oait);
-            ::lemon::ignore_unused_variable_warning(n);
+            ignore_unused_variable_warning(n);
           }
         }
@@ -1151,5 +1151,5 @@
       typedef typename Base::Arc Arc;
       typedef typename Base::Edge Edge;
-
+      
       typedef IterableBpGraphComponent BpGraph;
 
@@ -1211,5 +1211,5 @@
           typename _BpGraph::RedNode rn(INVALID);
           bpgraph.first(rn);
-          bpgraph.next(rn);
+          bpgraph.next(rn); 
           typename _BpGraph::BlueNode bn(INVALID);
           bpgraph.first(bn);
@@ -1278,6 +1278,6 @@
             = digraph.notifier(typename _Digraph::Arc());
 
-          ::lemon::ignore_unused_variable_warning(nn);
-          ::lemon::ignore_unused_variable_warning(en);
+          ignore_unused_variable_warning(nn);
+          ignore_unused_variable_warning(en);
         }
 
@@ -1326,5 +1326,5 @@
           typename _Graph::EdgeNotifier& uen
             = graph.notifier(typename _Graph::Edge());
-          ::lemon::ignore_unused_variable_warning(uen);
+          ignore_unused_variable_warning(uen);
         }
 
@@ -1388,6 +1388,6 @@
           typename _BpGraph::BlueNodeNotifier& bnn
             = bpgraph.notifier(typename _BpGraph::BlueNode());
-          ::lemon::ignore_unused_variable_warning(rnn);
-          ::lemon::ignore_unused_variable_warning(bnn);
+          ignore_unused_variable_warning(rnn);
+          ignore_unused_variable_warning(bnn);
         }
 
@@ -1462,7 +1462,7 @@
           // m3 = cmap;
 
-          ::lemon::ignore_unused_variable_warning(m1);
-          ::lemon::ignore_unused_variable_warning(m2);
-          // ::lemon::ignore_unused_variable_warning(m3);
+          ignore_unused_variable_warning(m1);
+          ignore_unused_variable_warning(m2);
+          // ignore_unused_variable_warning(m3);
         }
 
Index: lemon/concepts/heap.h
===================================================================
--- lemon/concepts/heap.h	(revision 1270)
+++ lemon/concepts/heap.h	(revision 1127)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2010
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -261,6 +261,6 @@
           item=Item();
           prio=Prio();
-          ::lemon::ignore_unused_variable_warning(item);
-          ::lemon::ignore_unused_variable_warning(prio);
+          ignore_unused_variable_warning(item);
+          ignore_unused_variable_warning(prio);
 
           OwnItem own_item;
@@ -269,17 +269,17 @@
           own_item=Item();
           own_prio=Prio();
-          ::lemon::ignore_unused_variable_warning(own_item);
-          ::lemon::ignore_unused_variable_warning(own_prio);
-          ::lemon::ignore_unused_variable_warning(own_state);
+          ignore_unused_variable_warning(own_item);
+          ignore_unused_variable_warning(own_prio);
+          ignore_unused_variable_warning(own_state);
 
           _Heap heap1(map);
           _Heap heap2 = heap1;
-          ::lemon::ignore_unused_variable_warning(heap1);
-          ::lemon::ignore_unused_variable_warning(heap2);
+          ignore_unused_variable_warning(heap1);
+          ignore_unused_variable_warning(heap2);
 
           int s = heap.size();
-          ::lemon::ignore_unused_variable_warning(s);
+          ignore_unused_variable_warning(s);
           bool e = heap.empty();
-          ::lemon::ignore_unused_variable_warning(e);
+          ignore_unused_variable_warning(e);
 
           prio = heap.prio();
Index: lemon/concepts/maps.h
===================================================================
--- lemon/concepts/maps.h	(revision 1270)
+++ lemon/concepts/maps.h	(revision 1157)
@@ -3,5 +3,5 @@
  * This file is a part of LEMON, a generic C++ optimization library.
  *
- * Copyright (C) 2003-2013
+ * Copyright (C) 2003-2009
  * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
  * (Egervary Research Group on Combinatorial Optimization, EGRES).
@@ -61,8 +61,8 @@
           own_val = m[own_key];
 
-          ::lemon::ignore_unused_variable_warning(key);
-          ::lemon::ignore_unused_variable_warning(val);
-          ::lemon::ignore_unused_variable_warning(own_key);
-          ::lemon::ignore_unused_variable_warning(own_val);
+          ignore_unused_variable_warning(key);
+          ignore_unused_variable_warning(val);
+          ignore_unused_variable_warning(own_key);
+          ignore_unused_variable_warning(own_val);
         }
         const Key& key;
@@ -101,8 +101,8 @@
           m.set(own_key, own_val);
 
-          ::lemon::ignore_unused_variable_warning(key);
-          ::lemon::ignore_unused_variable_warning(val);
-          ::lemon::ignore_unused_variable_warning(own_key);
-          ::lemon::ignore_unused_variable_warning(own_val);
+          ignore_unused_variable_warning(key);
+          ignore_unused_variable_warning(val);
+          ignore_unused_variable_warning(own_key);
+          ignore_unused_variable_warning(own_val);
         }
         const Key& key;
